Skip to main content
PUT
/
ecommerce
/
prices
/
{priceId}
Update price
curl --request PUT \
  --url https://api.service.getjusto.com/v3/ecommerce/prices/{priceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "_id": "<string>",
  "name": "<string>",
  "priority": 123,
  "storesIds": [
    "<string>"
  ],
  "channels": [
    "<string>"
  ],
  "daysBefore": 123,
  "schedule": {},
  "externalId": "<string>",
  "metadata": {}
}
'
{
  "success": true,
  "data": {
    "_id": "<string>",
    "name": "<string>",
    "priority": 123,
    "storesIds": [
      "<string>"
    ],
    "channels": [
      "<string>"
    ],
    "daysBefore": 123,
    "schedule": {},
    "externalId": "<string>",
    "metadata": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

priceId
string
required

ID Justo o ID externo del precio.

Body

application/json

Precio/menú interno de Justo.

_id
string

ID Justo del precio.

name
string

Nombre del precio.

priority
number

Prioridad de aplicación.

storesIds
string[]

Locales asociados.

channels
string[]

Canales asociados.

daysBefore
number

Días de anticipación permitidos.

schedule
object

Horario de disponibilidad del precio.

externalId
string

ID externo configurado por la marca.

metadata
object

Metadata del item escrita por API v3.

Response

The OpenAPI spec

success
boolean
Example:

true

data
object

Precio/menú interno de Justo.